std::geometric_distribution< _IntType >::param_type(3cxx)

NAME
std::geometric_distribution< _IntType >::param_type

SYNOPSIS

#include <random.h>

  Public Types

typedef geometric_distribution< _IntType > distribution_type

  Public Member Functions

param_type (double __p)
double p () const

  Friends

class geometric_distribution< _IntType >
bool operator!= (const param_type &__p1, const param_type &__p2)
bool operator== (const param_type &__p1, const param_type &__p2)

Detailed Description

  template<typename _IntType = int>
struct std::geometric_distribution< _IntType >::param_type"Parameter type.

Definition at line 3982 of file random.h.

Member Typedef Documentation

  template<typename _IntType = int> typedef geometric_distribution<_IntType> std::geometric_distribution< _IntType >::param_type::distribution_type

Definition at line 3984 of file random.h.

Constructor & Destructor Documentation

  template<typename _IntType = int> std::geometric_distribution< _IntType >::param_type::param_type () [inline]

Definition at line 3987 of file random.h.

  template<typename _IntType = int> std::geometric_distribution< _IntType >::param_type::param_type (double __p) [inline], [explicit]

Definition at line 3990 of file random.h.

Member Function Documentation

  template<typename _IntType = int> double std::geometric_distribution< _IntType >::param_type::p () const [inline]

Definition at line 3998 of file random.h.

Friends And Related Symbol Documentation

  template<typename _IntType = int> friend class geometric_distribution< _IntType > [friend]

Definition at line 3984 of file random.h.

  template<typename _IntType = int> bool operator!= (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 4006 of file random.h.

  template<typename _IntType = int> bool operator== (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 4002 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.